<?php
// 引入数据库配置文件
require_once '../config.php';

// 设置响应头为纯文本
header('Content-Type: text/plain');

// 数据库连接
$conn = get_db_connection();

// 生成自增商品编号
$nextCode = "SP001";
$codeQuery = "SELECT product_code FROM products ORDER BY id DESC LIMIT 1";
$codeResult = $conn->query($codeQuery);
if ($codeResult && $codeResult->num_rows > 0) {
    $lastCode = $codeResult->fetch_assoc()['product_code'];
    if (preg_match('/^SP(\d+)$/', $lastCode, $matches)) {
        $nextNum = intval($matches[1]) + 1;
        $nextCode = 'SP' . str_pad($nextNum, 3, '0', STR_PAD_LEFT);
    }
}

// 输出下一个商品编号
echo $nextCode;

// 关闭数据库连接
$conn->close();
