<?php

/**
 * 数据库配置文件
 * 集中管理数据库连接参数
 */

// 数据库连接参数
$is_local = 1; //1为本地，0为服务器
$db_host = 'localhost';
$db_user = 'root';

if ($is_local == 1) {
    $db_pass = 'root';
    $db_name = 'ca417_2_0_2';
} else {
    $db_pass = 'windowsX999';
    $db_name = 'ca417_2_0';
}

// 添加Redis配置
$redis_host = '127.0.0.1';
$redis_port = 6379;
$redis_password = $is_local ? null : 'your_production_password';
$redis_prefix = 'ca417_'; // 增加项目前缀避免冲突



// 创建数据库连接
function get_db_connection()
{
    global $db_host, $db_user, $db_pass, $db_name;

    $conn = new mysqli($db_host, $db_user, $db_pass, $db_name);
    $conn->set_charset("utf8mb4");

    // 检查连接
    if ($conn->connect_error) {
        die("数据库连接失败: " . $conn->connect_error);
    }

    return $conn;
}

require_once __DIR__ . '/classes/RedisManager.php';

function get_redis_instance()
{
    return RedisManager::getInstance();
}
